gr::satellites::time_dependent_delay Class Referenceabstract

Applies a time-dependent group delay by using a delay vs. time textfile. More...

`#include <time_dependent_delay.h>`

Inheritance diagram for gr::satellites::time_dependent_delay:

## Public Types

typedef std::shared_ptr< time_dependent_delay > | sptr

## Public Member Functions

virtual void | set_time (double t)=0
| Sets the current time.
virtual double | time ()=0
| Returns the current time.
virtual double | delay ()=0
| Returns the current delay in seconds.

## Static Public Member Functions

static sptr | make (const std::string &filename, double samp_rate, double t0, const std::vector< float > &taps, int num_filters)
| Build the Time-dependent Delay block.

## Detailed Description

Applies a time-dependent group delay by using a delay vs. time textfile.

This block is similar to the Doppler Correction block, in the sense that it uses a text file that lists a time series of delay vs. time. The format of this text file is very similar to the one used by Doppler Correction. Each line of the file contains a timestamp and a delay. The format of the timestamp is the same as for Doppler correction. The delay is given in seconds.

Like the Doppler Correction block, this block can use time tags to update its internal timestamp.

The block interpolates the delay linearly for each sample, and uses a polyphase filterbank to apply the appropriate delay.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<time_dependent_delay> gr::satellites::time_dependent_delay::sptr

## Member Function Documentation

## delay()

virtual double gr::satellites::time_dependent_delay::delay | ( |  | ) |

pure virtual

Returns the current delay in seconds.

Implemented in gr::satellites::time_dependent_delay_impl.

## make()

sptr gr::satellites::time_dependent_delay::make | ( | const std::string & | filename,
|  | double | samp_rate,
|  | double | t0,
|  | const std::vector< float > & | taps,
|  | int | num_filters )

static

Build the Time-dependent Delay block.

Parameters

  filename | Path of the text file describing the delay vs. time data
  samp_rate | Sample rate
  t0 | Timestamp corresponding to the first sample
  taps | Taps for the fractional delay polyphase filterbank
  num_filters | Number of filters in the polyphase filterbank

## set_time()

virtual void gr::satellites::time_dependent_delay::set_time | ( | double | t | ) |

pure virtual

Sets the current time.

Parameters

  t | Tiemstamp corresponding to the current time.

Implemented in gr::satellites::time_dependent_delay_impl.

References t.

## time()

virtual double gr::satellites::time_dependent_delay::time | ( |  | ) |

pure virtual

Returns the current time.

Implemented in gr::satellites::time_dependent_delay_impl.

The documentation for this class was generated from the following file:

- time_dependent_delay.h